import utilities

#
#
#
class TileLayer:
	#
	#
	#
	def __init__(self):	
		self.tiles = []
	
	#
	#
	#
	def loadCSV(self, filename):
		self.tiles = []
		
		f = file(filename, 'r')		
		lines = f.read().splitlines()
		for line in lines:
			tileRow = line.split(',')
			for tileNr in tileRow:
				self.tiles.append(int(tileNr))				
		
	#
	#
	#
	def getTileNrAtCoordinate(self, x, y):
		tileNr = self.tiles[(y * utilities.TILE_COLS) + x]	
		return tileNr
		
	#
	#
	#
	def setTileNrAtCoordinate(self, x, y, newTileNr):
		self.tiles[(y * utilities.TILE_COLS) + x] = newTileNr